Jump to content

User Feedback

Recommended Comments

Hey folks,

I tried to install Lion on my Mac, but I'm getting "You cannot use this version of the application Install Mac OS X Lion with this version of Mac OS X."

I have a 2.16 Ghz Intel Core 2 Duo (late 2006) with a new SSD. Currently running OS X 10.5.8.

Any suggestions? Thank you

Share this comment


Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Add a comment...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Donation Goals

    Hosting Auguest 2019

    We offer direct download links to heavy files, your donations keeps us going.



    $8.78 of $100.00 goal reached.
    Donate Now
×
×
  • Create New...